Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QKeyEventTransition Class Reference

The QKeyEventTransition class provides a transition for key events. More...

     #include <QKeyEventTransition>

Inherits: QEventTransition.

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Properties

- key : int
- modifierMask : Qt::KeyboardModifiers

- 2 properties inherited from QEventTransition
- 3 properties inherited from QAbstractTransition
- 1 property inherited from QObject

## Public Functions

| QKeyEventTransition ( QState * sourceState = 0 )
| QKeyEventTransition ( QObject * object, QEvent::Type type, int key, QState * sourceState = 0 )
| ~QKeyEventTransition ()
int | key () const
Qt::KeyboardModifiers | modifierMask () const
void | setKey ( int key )
void | setModifierMask ( Qt::KeyboardModifiers modifierMask )

- 4 public functions inherited from QEventTransition
- 9 public functions inherited from QAbstractTransition
- 29 public functions inherited from QObject

## Reimplemented Protected Functions

virtual bool | eventTest ( QEvent * event )
virtual void | onTransition ( QEvent * event )

- 3 protected functions inherited from QEventTransition
- 3 protected functions inherited from QAbstractTransition
- 8 protected functions inherited from QObject

### Additional Inherited Members

- 1 public slot inherited from QObject
- 1 signal inherited from QAbstractTransition
- 1 signal inherited from QObject
- 7 static public members inherited from QObject
- 3 protected functions inherited from QEventTransition
- 3 protected functions inherited from QAbstractTransition
- 8 protected functions inherited from QObject

## Detailed Description

The QKeyEventTransition class provides a transition for key events.

QKeyEventTransition is part of The State Machine Framework.

See also QState::addTransition().

## Property Documentation

### key : int

This property holds the key that this key event transition is associated with.

Access functions:

int | key () const
void | setKey ( int key )

### modifierMask : Qt::KeyboardModifiers

This property holds the keyboard modifier mask that this key event transition checks for.

Access functions:

Qt::KeyboardModifiers | modifierMask () const
void | setModifierMask ( Qt::KeyboardModifiers modifierMask )

## Member Function Documentation

### QKeyEventTransition::QKeyEventTransition ( QState * sourceState = 0 )

Constructs a new key event transition with the given sourceState.

### QKeyEventTransition::QKeyEventTransition ( QObject * object, QEvent::Type type, int key, QState * sourceState = 0 )

Constructs a new key event transition for events of the given type for the given object, with the given key and sourceState.

### QKeyEventTransition::~QKeyEventTransition ()

Destroys this key event transition.

### bool QKeyEventTransition::eventTest ( QEvent * event )`[virtual protected]`

Reimplemented from QAbstractTransition::eventTest().

### void QKeyEventTransition::onTransition ( QEvent * event )`[virtual protected]`

Reimplemented from QAbstractTransition::onTransition().